# Generated by Django 4.2.6 on 2023-11-03 13:26

from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
import mptt.fields
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('tenancy', '0011_contactassignment_tags'),
    ]

    operations = [
        migrations.CreateModel(
            name='SystemGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('name', models.CharField(max_length=100, unique=True)),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('lft', models.PositiveIntegerField(editable=False)),
                ('rght', models.PositiveIntegerField(editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='netbox_subsystems.systemgroup')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Группа систем',
                'verbose_name_plural': 'Группы систем',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='System',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('comments', models.TextField(blank=True)),
                ('name', models.CharField(max_length=100)),
                ('slug', models.SlugField(max_length=100)),
                ('security_id', models.CharField(max_length=50, unique=True)),
                ('gitlab', models.URLField(blank=True, null=True)),
                ('wiki', models.URLField(blank=True, null=True)),
                ('critical_level', models.CharField(default='bc', max_length=2)),
                ('pers_data_category', models.CharField(default='corporate', max_length=15)),
                ('confidential_info', models.CharField(default='personal', max_length=150)),
                ('comm_date', models.DateField(blank=True, null=True)),
                ('com_order', models.CharField(blank=True, max_length=50, null=True)),
                ('technologies', models.CharField(blank=True, max_length=150, null=True)),
                ('dev_technologies', models.CharField(blank=True, max_length=150, null=True)),
                ('is_box_solution', models.BooleanField(default=False)),
                ('is_otsrc_sys', models.BooleanField(default=False)),
                ('is_otsrc_sup', models.BooleanField(default=False)),
                ('is_otsrc_adm', models.BooleanField(default=False)),
                ('is_internet', models.BooleanField(default=False)),
                ('is_able_eirjs', models.BooleanField(default=False)),
                ('is_able_api', models.BooleanField(default=False)),
                ('is_api_internet', models.BooleanField(default=False)),
                ('is_cont_access', models.BooleanField(default=False)),
                ('is_conf_info', models.BooleanField(default=False)),
                ('lft', models.PositiveIntegerField(editable=False)),
                ('rght', models.PositiveIntegerField(editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(editable=False)),
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='systems', to='netbox_subsystems.systemgroup')),
                ('parent', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='child', to='netbox_subsystems.system')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('tenant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='systems', to='tenancy.tenant')),
            ],
            options={
                'verbose_name': 'Система',
                'verbose_name_plural': 'Системы',
                'ordering': ['name'],
            },
            managers=[
                ('_tree_manager', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='Subsystem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('comments', models.TextField(blank=True)),
                ('name', models.CharField(max_length=100)),
                ('slug', models.SlugField(max_length=100)),
                ('security_id', models.CharField(max_length=50, unique=True)),
                ('gitlab', models.URLField(blank=True, null=True)),
                ('wiki', models.URLField(blank=True, null=True)),
                ('critical_level', models.CharField(default='bc', max_length=2)),
                ('pers_data_category', models.CharField(default='corporate', max_length=15)),
                ('confidential_info', models.CharField(default='personal', max_length=150)),
                ('comm_date', models.DateField(blank=True, null=True)),
                ('com_order', models.CharField(blank=True, max_length=50, null=True)),
                ('technologies', models.CharField(blank=True, max_length=150, null=True)),
                ('dev_technologies', models.CharField(blank=True, max_length=150, null=True)),
                ('is_box_solution', models.BooleanField(default=False)),
                ('is_otsrc_sys', models.BooleanField(default=False)),
                ('is_otsrc_sup', models.BooleanField(default=False)),
                ('is_otsrc_adm', models.BooleanField(default=False)),
                ('is_internet', models.BooleanField(default=False)),
                ('is_able_eirjs', models.BooleanField(default=False)),
                ('is_able_api', models.BooleanField(default=False)),
                ('is_api_internet', models.BooleanField(default=False)),
                ('is_cont_access', models.BooleanField(default=False)),
                ('is_conf_info', models.BooleanField(default=False)),
                ('lft', models.PositiveIntegerField(editable=False)),
                ('rght', models.PositiveIntegerField(editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(editable=False)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='child', to='netbox_subsystems.subsystem')),
                ('system', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subsystems', to='netbox_subsystems.system')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'verbose_name': 'Подсистема',
                'verbose_name_plural': 'Подсистемы',
                'ordering': ['name'],
            },
            managers=[
                ('_tree_manager', django.db.models.manager.Manager()),
            ],
        ),
    ]
